# Pto lensstack

From PanoTools.org Wiki

Pto_lensstack can manipulate lenses and stacks in Hugin .pto project files. The intended use for Pto_lensstack is in Scripting.

The general use is

       pto_lensstack --output=output.pto --new-lens|--new-stack|--change-lens|--change-stack images input.pto

## Assigning new lenses/stacks

You can assign a new lens or stack to an image or a set of images by providing a list of image numbers as parameters to the program. The counting starts with zero. Several images can be given at the same time. Separate them with a comma. So

      pto_lensstack --new-lens i1,i3 input.pto
      pto_lensstack --new-stack i2,i4 input.pto

will assign a new lens to image 1 and 3 and a new stack to images 2 and 4.

## Changing lenses/stacks

For changing the lens or the stack provide a list of image numbers and the new lens/stack number. For both the counting starts with zero and you can supply several images separated by a comma at the same time.

Examples:

      pto_lensstack --change-lens i1=4,i5=1 input.pto
      pto_lensstack --change-stack i2=0,i4=0 input.pto

## General options

- -o|--output output.pto Output a pto file with the given filename. If not given it will append "_lens" to the input filename.
- -h | --help Display help.

Retrieved from "http://wiki.panotools.org/index.php?title=Pto_lensstack&oldid=14997[*]"